﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="WebEdition" Namespace="ThinkGeo.MapSuite.WebEdition" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <style type="text/css">
        .tooltips{position:absolute; filter:alpha(opacity=60); width:80px; height:20px; font-size:10px; font-family:Verdana; padding:4px; background-color:#ffffe7; display:none; border:solid 1px #000000;}
    </style>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:ScriptManager ID="ScriptManager1" runat="server">
        </asp:ScriptManager>
        <script type="text/javascript">
        var timer;
        var delayInterval = 1000;
        var clientX, clientY;
        var showToolTips = function(result, context) {
            if(result != '' && result != null){
                context.innerHTML = result;
                context.style.left = (clientX - 40) + 'px';
                context.style.top = (clientY - 20) + 'px';
                context.style.display = 'block';
            }
        };

        var beginToolTipsRequest = function() {
            var lonlat = this.map.getLonLatFromViewPortPx(this.xy);
            var args = lonlat.lon + ',' + lonlat.lat; 
            var context = $get('divTooltips');
            <%=ClientScript.GetCallbackEventReference(Page, "args", "showToolTips", "context") %>
        };
        
        var getDelegate = function(sender, handler) {
            return function() {
                handler.apply(sender, arguments);
            }
        }
        
        var OnMapCreated = function(map){
            map.events.register('mousemove', map, function(e){
                if(timer){
                    window.clearTimeout(timer);
                    timer = null;
                }
                $get('divTooltips').style.display = 'none';
                var beginToolTipsRequestDelegate = function(sender){
                    return function(){
                        beginToolTipsRequest.apply(sender, arguments);
                    }
                }
                clientX = e.clientX;
                clientY = e.clientY;
                timer = window.setTimeout(beginToolTipsRequestDelegate({xy:e.xy, map:this}), delayInterval);
            });
            
            // to work around tooltip bug in 3.1.16
            var postData = decodeURIComponent(__theFormPostData);
            var startData = postData.substr(0, postData.indexOf('&'));
            var endData = postData.substr(postData.indexOf('&'), postData.length - postData.indexOf('&'));
            __theFormPostData = startData + ',' + map.getScale().toString() + endData;
        }
    </script>
        <div>
            <cc1:Map ID="Map1" runat="server" Height="480px" Width="640px">
            </cc1:Map>
        </div>
        <div id="divTooltips" class="tooltips">
        </div>
    </div>
    </form>
</body>
</html>
